MIDIRECORD(1) | General Commands Manual | MIDIRECORD(1)

# NAME

`midirecord` —
record midi files

# SYNOPSIS

`midirecord` | [`-aDfhoqV`] [`-B` buffersize] [`-c` channels] [`-d` devices] [`-f` sequencerdev] [`-n` notesperbeat] [`-R` roundbeats] [`-r` raw_output] [`-T` tempo] [`-t` time] file

# DESCRIPTION

The `midirecord` program converts the sequencer events read on sequencerdev to the named MIDI SMF output. If the file name is -, output will go to the standard output. By default, timing for events begins with the first event. The `-o` flag may be used to start timing events at the process start up.

# OPTIONS

The following options are available:

`-a`
  Append to the specified file, rather than overwriting.
`-B` buffersize
  Set the sequencer device read buffer size to buffersize. The default value is 32768 bytes.
`-c` channels
  Sets the filter list of channels to channels, which is a comma separated list of channels to filter in.
`-D`
  Enable debug log.
`-d` devices
  Sets the filter list of devices to devices, which is a comma separated list of devices to filter in.
`-f` sequencerdev
  Sets the sequencer device to use to sequencerdev. The default is /dev/music.
`-h`
  Print a help message.
`-n` notesperbeat
  Sets the MIDI notes (clocks) per beat to notesperbeat.
`-o`
  Start the relative timer at process start up instead of at the first event.
`-q`
  Be quiet.
`-R` roundbeats
  Round timings to roundbeats of a note. Output will always be aligned to this many beats.
`-r` raw_output
  Create the raw output of the sequencer device in raw_output.
`-T` tempo
  Set the tempo for the recording to tempo.
`-t` time
  Sets the maximum amount of time to record. Format is [hh:]mm:ss[.dddddd].
`-V`
  Be verbose.

# ENVIRONMENT

`MIDIDEVICE`
  the midi device to be used.

# SEE ALSO

midiplay(1), midi(4), sequencer(4)

# HISTORY

The `midirecord` program was first seen in NetBSD 7.

# AUTHORS

The `midirecord` program was written by Matthew R. Green <mrg@eterna.com.au>.

# BUGS

SYSEX, LOCAL and FULLSIZE messages are not currently handled, but the NetBSD sequencer(4) device does not generate them.

September 22, 2015 | NetBSD 9.0